Subject: Re: How do I use a socks server with cygwin?
From: Jason Tishler <[email-masked]>
To: Niklas Morberg <[email-masked]>
Cc: [email-masked]
Date: Thu, 20 Dec 2001 08:27:16 -0500

Niklas,

On Thu, Dec 20, 2001 at 09:48:07AM +0100, Niklas Morberg wrote:
> I sit behind a corporate firewall and I'm looking for a way
> to use e.g. cvs from behind the firewall. SOCKS is installed
> on the firewall.

I just experienced this "pleasure" myself when my (small) company was
acquired by a large company.

> [snip]
> 
> How would I go about doing this in cygwin?

Hummingbird has a free (as in beer) solution to this problem for Windows
that works for Cygwin too:

    http://www.hummingbird.com/products/nc/socks/install.html

I have been using the above very successfully with the following
applications:

    o Netscape Navigator [1]
    o Microsoft Internet Explorer [1]
    o Netscape Instant Messenger
    o CVS (anonymous pserver)
    o ssh
    o ncftp
    o wget
    o curl
    o dict

[1] However, due to the benefits of a caching web proxy, I recommend
configuring these applications to use such instead of SOCKS, if available.

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/